WPSContentParsingState Struct Reference documentation

WPSContentParsingState Struct Reference

the content state More...

## Public Member Functions
| WPSContentParsingState ()
| ~WPSContentParsingState ()

## Public Attributes
librevenge::RVNGString | m_textBuffer
int | m_numDeferredTabs
WPSFont | m_font
WPSParagraph | m_paragraph
std::shared_ptr< WPSList > | m_list
bool | m_isParagraphColumnBreak
bool | m_isParagraphPageBreak
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isFrameOpened
bool | m_isPageSpanBreakDeferred
bool | m_isHeaderFooterWithoutParagraph
bool | m_isGroupOpened
| a flag to know if openGroup was called
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
std::vector< unsigned int > | m_numRowsToSkip
bool | m_isTableOpened
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
bool | m_sectionAttributesChanged
int | m_numColumns
std::vector< WPSColumnDefinition > | m_textColumns
bool | m_isTextColumnWithoutParagraph
double | m_pageFormLength
double | m_pageFormWidth
bool | m_pageFormOrientationIsPortrait
double | m_pageMarginLeft
double | m_pageMarginRight
double | m_pageMarginTop
double | m_pageMarginBottom
std::vector< bool > | m_listOrderedLevels
bool | m_inSubDocument
| a stack used to know what is open
bool | m_isNote
libwps::SubDocumentType | m_subDocumentType

## Private Member Functions
| WPSContentParsingState (const WPSContentParsingState &)=delete
WPSContentParsingState & | operator= (const WPSContentParsingState &)=delete

## Detailed Description

the content state

## Constructor & Destructor Documentation

## ◆ WPSContentParsingState() [1/2]

WPSContentParsingState::WPSContentParsingState | ( |  | ) |

Referenced by operator=(), and WPSContentParsingState().

## ◆ ~WPSContentParsingState()

WPSContentParsingState::~WPSContentParsingState | ( |  | ) |

## ◆ WPSContentParsingState() [2/2]

WPSContentParsingState::WPSContentParsingState | ( | const WPSContentParsingState & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

WPSContentParsingState & WPSContentParsingState::operator= | ( | const WPSContentParsingState & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_currentPage

unsigned WPSContentParsingState::m_currentPage

Referenced by WPSContentParsingState().

## ◆ m_currentPageNumber

int WPSContentParsingState::m_currentPageNumber

Referenced by WPSContentParsingState().

## ◆ m_firstParagraphInPageSpan

bool WPSContentParsingState::m_firstParagraphInPageSpan

Referenced by WPSContentParsingState().

## ◆ m_font

WPSFont WPSContentParsingState::m_font

Referenced by WPSContentParsingState().

## ◆ m_inSubDocument

bool WPSContentParsingState::m_inSubDocument

a stack used to know what is open

Referenced by WPSContentParsingState().

## ◆ m_isFrameOpened

bool WPSContentParsingState::m_isFrameOpened

Referenced by WPSContentParsingState().

## ◆ m_isGroupOpened

bool WPSContentParsingState::m_isGroupOpened

a flag to know if openGroup was called

Referenced by WPSContentParsingState().

## ◆ m_isHeaderFooterWithoutParagraph

bool WPSContentParsingState::m_isHeaderFooterWithoutParagraph

Referenced by WPSContentParsingState().

## ◆ m_isListElementOpened

bool WPSContentParsingState::m_isListElementOpened

Referenced by WPSContentParsingState().

## ◆ m_isNote

bool WPSContentParsingState::m_isNote

Referenced by WPSContentParsingState().

## ◆ m_isPageSpanBreakDeferred

bool WPSContentParsingState::m_isPageSpanBreakDeferred

Referenced by WPSContentParsingState().

## ◆ m_isPageSpanOpened

bool WPSContentParsingState::m_isPageSpanOpened

Referenced by WPSContentParsingState().

## ◆ m_isParagraphColumnBreak

bool WPSContentParsingState::m_isParagraphColumnBreak

Referenced by WPSContentParsingState().

## ◆ m_isParagraphOpened

bool WPSContentParsingState::m_isParagraphOpened

Referenced by WPSContentParsingState().

## ◆ m_isParagraphPageBreak

bool WPSContentParsingState::m_isParagraphPageBreak

Referenced by WPSContentParsingState().

## ◆ m_isSectionOpened

bool WPSContentParsingState::m_isSectionOpened

Referenced by WPSContentParsingState().

## ◆ m_isSpanOpened

bool WPSContentParsingState::m_isSpanOpened

Referenced by WPSContentParsingState().

## ◆ m_isTableCellOpened

bool WPSContentParsingState::m_isTableCellOpened

Referenced by WPSContentParsingState().

## ◆ m_isTableColumnOpened

bool WPSContentParsingState::m_isTableColumnOpened

Referenced by WPSContentParsingState().

## ◆ m_isTableOpened

bool WPSContentParsingState::m_isTableOpened

Referenced by WPSContentParsingState().

## ◆ m_isTableRowOpened

bool WPSContentParsingState::m_isTableRowOpened

Referenced by WPSContentParsingState().

## ◆ m_isTextColumnWithoutParagraph

bool WPSContentParsingState::m_isTextColumnWithoutParagraph

Referenced by WPSContentParsingState().

## ◆ m_list

std::shared_ptr<WPSList> WPSContentParsingState::m_list

Referenced by WPSContentParsingState().

## ◆ m_listOrderedLevels

std::vector<bool> WPSContentParsingState::m_listOrderedLevels

Referenced by WPSContentParsingState().

## ◆ m_numColumns

int WPSContentParsingState::m_numColumns

Referenced by WPSContentParsingState().

## ◆ m_numDeferredTabs

int WPSContentParsingState::m_numDeferredTabs

Referenced by WPSContentParsingState().

## ◆ m_numPagesRemainingInSpan

int WPSContentParsingState::m_numPagesRemainingInSpan

Referenced by WPSContentParsingState().

## ◆ m_numRowsToSkip

std::vector<unsigned int> WPSContentParsingState::m_numRowsToSkip

Referenced by WPSContentParsingState().

## ◆ m_pageFormLength

double WPSContentParsingState::m_pageFormLength

Referenced by WPSContentParsingState().

## ◆ m_pageFormOrientationIsPortrait

bool WPSContentParsingState::m_pageFormOrientationIsPortrait

Referenced by WPSContentParsingState().

## ◆ m_pageFormWidth

double WPSContentParsingState::m_pageFormWidth

Referenced by WPSContentParsingState().

## ◆ m_pageMarginBottom

double WPSContentParsingState::m_pageMarginBottom

Referenced by WPSContentParsingState().

## ◆ m_pageMarginLeft

double WPSContentParsingState::m_pageMarginLeft

Referenced by WPSContentParsingState().

## ◆ m_pageMarginRight

double WPSContentParsingState::m_pageMarginRight

Referenced by WPSContentParsingState().

## ◆ m_pageMarginTop

double WPSContentParsingState::m_pageMarginTop

Referenced by WPSContentParsingState().

## ◆ m_paragraph

WPSParagraph WPSContentParsingState::m_paragraph

Referenced by WPSContentParsingState().

## ◆ m_sectionAttributesChanged

bool WPSContentParsingState::m_sectionAttributesChanged

Referenced by WPSContentParsingState().

## ◆ m_subDocumentType

libwps::SubDocumentType WPSContentParsingState::m_subDocumentType

Referenced by WPSContentParsingState().

## ◆ m_textBuffer

librevenge::RVNGString WPSContentParsingState::m_textBuffer

Referenced by WPSContentParsingState().

## ◆ m_textColumns

std::vector< WPSColumnDefinition > WPSContentParsingState::m_textColumns

Referenced by WPSContentParsingState().

The documentation for this struct was generated from the following file:

- WPSContentListener.cpp